ClientRH/Models/EmployeeViewModel.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace ClientRH.Models
{
    public class EmployeeViewModel
    {
        public int ID { get; set; }

        public String LastName { get; set; }

        public String FisrtName { get; set; }

        public DateTime BirthDate { get; set; }

        public DateTime EmploymentDate { get; set; }

        public float Salary { get; set; }

        public String Biography { get; set; }

        public ICollection<PostulationViewModel> Postulations { get; set; }

        public ICollection<ExperienceViewModel> Experiences { get; set; }

        public ICollection<TrainingViewModel> Trainings { get; set; }
    }
}

ClientRH/Models/ExperienceViewModel.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace ClientRH.Models
{
    public class ExperienceViewModel
    {
        public int ID { get; set; }

        public String JobTitle { get; set; }

        public String Description { get; set; }

        public DateTime StartDate { get; set; }

        public DateTime EndDate { get; set; }

        public int EmployeeID { get; set; }

        public EmployeeViewModel Employee { get; set; }
    }
}

ClientRH/Models/OfferViewModel.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace ClientRH.Models
{
    public class OfferViewModel
    {
        public int ID { get; set; }

        public String JobTitle { get; set; }

        public DateTime Date { get; set; }

        public float Salary { get; set; }

        public String City { get; set; }

        public String Description { get; set; }

        public String Manager { get; set; }

        public StatusViewModel Status { get; set; }

    }
}

ClientRH/Models/PostulationViewModel.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace ClientRH.Models
{
    public class PostulationViewModel
    {
        public int OfferID { get; set; }

        public int EmployeeID { get; set; }

        public DateTime Date { get; set; }

        public String Status { get; set; }

        public OfferViewModel Offer { get; set; }

        public EmployeeViewModel Employee { get; set; }
    }
}

ClientRH/Models/StatusViewModel.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace ClientRH.Models
{
    public class StatusViewModel
    {
        public int ID { get; set; }

        public String Wording { get; set; }

        public ICollection<OfferViewModel> Offers { get; set; }
    }
}

ClientRH/Models/TrainingViewModel.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace ClientRH.Models
{
    public class TrainingViewModel
    {
        public int ID { get; set; }

        public String TrainingTitle { get; set; }

        public String Description { get; set; }

        public DateTime StartDate { get; set; }

        public DateTime EndDate { get; set; }

        public int EmployeeID { get; set; }

        public EmployeeViewModel Employee { get; set; }
    }
}

ClientRH/Controllers/HomeController.cs
using System.Web.Mvc;

namespace ClientRH.Controllers
{
    public class HomeController : Controller
    {
        
        public ActionResult Index()
        {
            return View();
        }
    }
}

ClientRH/Controllers/OfferController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using ClientRH.Models;
using BusinessLogicLayer.JobAd;
using System.Threading.Tasks;
using Model.JobAd;
using System.Data.Entity;
using Model.JobAd.Entity;

namespace ClientRH.Controllers
{
    public class OfferController : Controller
    {
        Manager m = Manager.Instance;
        private readonly Context _context;
        // GET: Offer
        [ActionName("ListOffers")]
        public async Task<ActionResult> Index(string searchString)
        {
            List<OfferViewModel> offers = new List<OfferViewModel>();
            List<Offer> l = m.GetAllOffers().ToList();
            if (!String.IsNullOrEmpty(searchString))
            {
                l = l.ToList().Where(o => o.JobTitle.Contains(searchString)).ToList();
            }
            foreach (Offer o in l)
            {
                offers.Add(new OfferViewModel { City = o.City, Date = o.Date, Description = o.Description, ID = o.ID, JobTitle = o.JobTitle, Manager = o.Manager, Salary = o.Salary, Status = new StatusViewModel { ID = o.Status.ID, Wording = o.Status.Wording } });
            }
            return View(offers);
        }

        // GET: Offer/Details/_id
        [ActionName("OfferDetails")]
        public ActionResult Details(int id)
        {
            Offer o = m.GetOfferByID(id);
            OfferViewModel offer = new OfferViewModel { City = o.City, Date = o.Date, Description = o.Description, ID = o.ID, JobTitle = o.JobTitle, Manager = o.Manager, Salary = o.Salary, Status = new StatusViewModel { ID = o.Status.ID, Wording = o.Status.Wording } };
            return View(offer);
        }
    }
}

ClientRH/Views/Home/Index.cshtml
@{
    ViewBag.Title = "Home Page";
}

<div class="jumbotron">
    <h1>ASP.NET</h1>
    <p class="lead">ASP.NET is a free web framework for building great Web sites and Web applications using HTML, CSS and JavaScript.</p>
    <p><a href="https://asp.net" class="btn btn-primary btn-lg">Learn more &raquo;</a></p>
</div>

<div class="row">
    <div class="col-md-4">
        <h2>Getting started</h2>
        <p>
            ASP.NET MVC gives you a powerful, patterns-based way to build dynamic websites that
            enables a clean separation of concerns and gives you full control over markup
            for enjoyable, agile development.
        </p>
        <p><a class="btn btn-default" href="https://go.microsoft.com/fwlink/?LinkId=301865">Learn more &raquo;</a></p>
    </div>
    <div class="col-md-4">
        <h2>Get more libraries</h2>
        <p>NuGet is a free Visual Studio extension that makes it easy to add, remove, and update libraries and tools in Visual Studio projects.</p>
        <p><a class="btn btn-default" href="https://go.microsoft.com/fwlink/?LinkId=301866">Learn more &raquo;</a></p>
    </div>
    <div class="col-md-4">
        <h2>Web Hosting</h2>
        <p>You can easily find a web hosting company that offers the right mix of features and price for your applications.</p>
        <p><a class="btn btn-default" href="https://go.microsoft.com/fwlink/?LinkId=301867">Learn more &raquo;</a></p>
    </div>
</div>

ClientRH/Views/Offer/ListOffers.cshtml
@model IEnumerable<ClientRH.Models.OfferViewModel>

@{
    ViewBag.Title = "Liste des offres";
}
<h2>Rechercher des offres</h2>

<form asp-controller="Offer" asp-action="Index">
    <p>
        JobTitle : <input type="text" name="SearchString" />
        <input type="submit" value="Rechercher" />
    </p>
</form>


<h2>Liste des offres</h2>

<table class="table">
    <tr>
        <th>
            @Html.DisplayNameFor(model => model.JobTitle)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Date)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Description)
        </th>
        <th></th>
    </tr>

    @foreach (var item in Model)
    {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.JobTitle)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Date)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Description)
            </td>
            <td>
                <a href="@Url.Action("OfferDetails", "Offer", new { id = item.ID })" class="btn btn-info">Détails</a>
            </td>
        </tr>
    }

</table>

ClientRH/Views/Offer/OfferDetails.cshtml
@model ClientRH.Models.OfferViewModel

@{
    ViewBag.Title = "Détails de l'offre";
}

<h2>Détails de l'offre</h2>

<div>
    <h4>Offre</h4>
    <hr />
    <dl class="dl-horizontal">
        <dt>
            @Html.DisplayNameFor(model => model.JobTitle)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.JobTitle)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Date)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Date)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Salary)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Salary)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.City)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.City)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Description)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Description)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Manager)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Manager)
        </dd>

    </dl>
</div>
<a href="@Url.Action("ListOffers", "Offer")"class="btn btn-info">Back to List</a>

ClientRH/Views/Shared/_Layout.cshtml
<!DOCTYPE html>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>@ViewBag.Title - Mon application ASP.NET</title>
    @Styles.Render("~/Content/css")
    @Scripts.Render("~/bundles/modernizr")
</head>
<body>
    <div class="navbar navbar-inverse navbar-fixed-top">
        <div class="container">
            <div class="navbar-header">
                <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>
                @Html.ActionLink("Client RH", "Index", "Home", new { area = "" }, new { @class = "navbar-brand" })
            </div>
            <div class="navbar-collapse collapse">
                <ul class="nav navbar-nav">
                    <li>@Html.ActionLink("Accueil", "Index", "Home")</li>
                    <li>@Html.ActionLink("Offres", "ListOffers", "Offer")</li>
                </ul>
            </div>
        </div>
    </div>
    <div class="container body-content">
        @RenderBody()
        <hr />
        <footer>
            <p>&copy; @DateTime.Now.Year - Mon application ASP.NET</p>
        </footer>
    </div>

    @Scripts.Render("~/bundles/jquery")
    @Scripts.Render("~/bundles/bootstrap")
    @RenderSection("scripts", required: false)
</body>
</html>